# This file adds a number of buttons to the lower-right hand corner of
# the screen. Three of these buttons jump to the game menu, which
# giving quick access to Load, Save, and Prefs. The fourth button
# toggles skipping, to make that more convenient.

# This is called when the quick save button is clicked.
label _quick_save:
   
    # Saves the game.
    $renpy.sound.play("system/quick_save.ogg", channel=1)        
    $ renpy.save('quicksave', _('Quick Save'))

    # Tell the user that we saved the game.
    $ ui.add(Solid((0, 0, 0, 128)))
    $ ui.text(_('The game has been saved using quick save.'),
              xpos=0.5, xanchor='center', ypos=0.5, yanchor='center')

    $ ui.saybehavior()
    $ ui.interact(suppress_overlay=True, suppress_underlay=True)

    return

# This is called when the quick load button is clicked, to load the
# game.
label _quick_load:
    $ renpy.sound.play("system/quick_load.ogg", channel=1)    
    $ renpy.load('quicksave')    
    return      

# Deletes the quicksave file
label _delete_quick_save:
        $ renpy.unlink_save("quicksave")    
        return    
    
init python:                   
    def toggle_skipping():
        config.skipping = not config.skipping

    show_button_game_menu = True
   
    def button_game_menu():
        if show_button_game_menu:            
            ui.image("system/toolbar.png", xpos=0.994, ypos=0.954, xanchor='right', yanchor='top')
            
            # to save typing
            ccinc = renpy.curried_call_in_new_context
            
            ui.hbox(xpos=0.98, ypos=0.958, xanchor='right', yanchor='top')            
            ui.imagebutton("system/gm_affection.png", "system/gm_affection_h.png", clicked=swap_love_bar)
            ui.imagebutton("system/gm_empty.png", "system/gm_empty.png", clicked=None)             
            ui.imagebutton("system/gm_skip.png", "system/gm_skip_h.png", clicked=toggle_skipping)
            if(config.developer):
                ui.imagebutton("system/gm_dqsave.png", "system/gm_dqsave_h.png", clicked=ccinc("_delete_quick_save"))
            else:
                ui.imagebutton("system/gm_empty.png", "system/gm_empty.png", clicked=None)                
            ui.imagebutton("system/gm_qsave.png", "system/gm_qsave_h.png", clicked=ccinc("_quick_save"), activate_sound=None)
            if(renpy.can_load("quicksave")):            
                ui.imagebutton("system/gm_qload.png", "system/gm_qload_h.png", clicked=ccinc("_quick_load"), activate_sound=None)
            else:
                ui.imagebutton("system/gm_empty.png", "system/gm_empty.png", clicked=None)                         
            ui.imagebutton("system/gm_save.png", "system/gm_save_h.png", clicked=ccinc("_game_menu_save"), activate_sound="system/save.ogg") 
            ui.imagebutton("system/gm_load.png", "system/gm_load_h.png", clicked=ccinc("_game_menu_load"), activate_sound="system/load.ogg")
            ui.imagebutton("system/gm_empty.png", "system/gm_empty.png", clicked=None)            
            ui.imagebutton("system/gm_config.png", "system/gm_config_h.png", clicked=ccinc("_game_menu_preferences"))                       
            ui.close()
            
    config.overlay_functions.append(button_game_menu)
